/*
 * SPDX-FileCopyrightText: 2019 Helmut Pozimski <helmut@pozimski.eu>
 *
 * SPDX-License-Identifier: GPL-2.0-only
 */

#include <stdint.h>

/* struct that represents a wave file */
typedef struct {
	int fd;
	uint32_t data_bytes_written;
} wavfile;

/* function prototypes */
wavfile * wavfile_create(const char * file_name, uint16_t channels, uint32_t sample_rate, uint32_t bits_per_sample);
int wavfile_append_data(wavfile * file, void * data, uint32_t num_bytes);
int wavfile_close(wavfile * file);
